# Class Search
Search api for geocoding and address searching.

## Index

### Constructors
* [constructor](_search_.search.md#constructor)

### Properties
* [apiUrl](_search_.search.md#apiurl)
* [API_URL](_search_.search.md#api_url)

### Methods
* [geocode](_search_.search.md#geocode)
* [invgeocode](_search_.search.md#invgeocode)

## Constructors

### new Search(searchOptions?: [SearchOptions](../interfaces/_search_.searchoptions.md)): [Search](_search_.search.md)
  
* Defined in Search.ts:9


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| searchOptions? | [SearchOptions](../interfaces/_search_.searchoptions.md)|  |

#### Returns: [Search](_search_.search.md)

## Properties

### apiUrl: string

* Defined in Search.ts:9


### Static Private API_URL: string

* Defined in Search.ts:8


## Methods

### geocode(query: string, geocodeOptions?: [GeocodeOptions](../interfaces/_search_.geocodeoptions.md), callback?: (ev: Event, data: [GeocodeResponse](../interfaces/_search_.geocoderesponse.md))=> any): void
Geocoding lets you convert a location text (search string, address) into geo coordinates.  
* Defined in Search.ts:21


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| query | string| Search term, like: 'Hungary, Budapest' |
| geocodeOptions? | [GeocodeOptions](../interfaces/_search_.geocodeoptions.md)| option settings like viewport center and language |
| callback? | (ev: Event, data: [GeocodeResponse](../interfaces/_search_.geocoderesponse.md))=> any| Function callback to process geocode results. |

#### Returns: void

### invgeocode(query: [LatLng](_latlng_.latlng.md), invgeocodeOptions?: [InvgeocodeOptions](../interfaces/_search_.invgeocodeoptions.md), callback?: (ev: Event, data: [InvgeocodeResponse](../interfaces/_search_.invgeocoderesponse.md))=> any): void
Inverse geocoding lets you convert geo coordinates into location names.  
* Defined in Search.ts:42


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| query | [LatLng](_latlng_.latlng.md)| location |
| invgeocodeOptions? | [InvgeocodeOptions](../interfaces/_search_.invgeocodeoptions.md)| option settings like osmid and language |
| callback? | (ev: Event, data: [InvgeocodeResponse](../interfaces/_search_.invgeocoderesponse.md))=> any| function callback with event and response data in JSON format |

#### Returns: void


Generated using [TypeDoc](http://typedoc.io)
